| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class UnaryExpr

    java.lang.Object
      |
      +--Statement
            |
            +--ExprStmt
                  |
                  +--Expr
                        |
                        +--UnaryExpr

Direct Known Subclasses:
  CastExpr, NegativeExpr, NotExpr, PositivExpr, PostDecExpr, PostIncExpr, PreDecExpr, PreIncExpr

public abstract class UnaryExpr
extends Expr

Field Summary

Fields inherited from class Expr
`usedid`

Fields inherited from class ExprStmt
`type`

Constructor Summary
`UnaryExpr()`

Method Summary
`abstract void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class Expr
`get_Name_Menge, get_Name, get_Type_Menge, get_UsedId, sc_check, set_Type, set_UsedId`

Methods inherited from class ExprStmt
`get_Type`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryExpr

    public UnaryExpr()

Method Detail

### codegen

    public abstract void codegen(ClassFile classfile,
                                 CodeAttribute code,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD